org.cpsolver.coursett.heuristics

## Class NeighbourSelectionWithSuggestions.NeighbourSelectionWithSuggestionsContext

- java.lang.Object
- - org.cpsolver.coursett.heuristics.NeighbourSelectionWithSuggestions.NeighbourSelectionWithSuggestionsContext

- Enclosing class:
    NeighbourSelectionWithSuggestions

      public class NeighbourSelectionWithSuggestions.NeighbourSelectionWithSuggestionsContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeighbourSelectionWithSuggestionsContext(Solution<Lecture,Placement> solution)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Assignment<Lecture,Placement>` | `getAssignment()`
    `TimetableModel` | `getModel()`
    `int` | `getNrAssigned()`
    `Solution<Lecture,Placement>` | `getSolution()`
    `NeighbourSelectionWithSuggestions.SuggestionNeighbour` | `getSuggestionNeighbour()`
    `double` | `getValue()`
    `boolean` | `checkTimeoutReached()`
    `boolean` | `isTimeoutReached()`
    `boolean` | `setSuggestionNeighbourIfImproving(Map<Lecture,Placement> assignment)`
    `void` | `setTimeoutReached(boolean timeoutReached)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeighbourSelectionWithSuggestionsContext

          public NeighbourSelectionWithSuggestionsContext(Solution<Lecture,Placement> solution)

  - ### Method Detail

    - #### getSuggestionNeighbour

          public NeighbourSelectionWithSuggestions.SuggestionNeighbour getSuggestionNeighbour()

    - #### setSuggestionNeighbourIfImproving

          public boolean setSuggestionNeighbourIfImproving(Map<Lecture,Placement> assignment)

    - #### getSolution

          public Solution<Lecture,Placement> getSolution()

    - #### getAssignment

          public Assignment<Lecture,Placement> getAssignment()

    - #### getModel

          public TimetableModel getModel()

    - #### getNrAssigned

          public int getNrAssigned()

    - #### getValue

          public double getValue()

    - #### isTimeoutReached

          public boolean isTimeoutReached()

    - #### checkTimeoutReached

          public boolean checkTimeoutReached()

    - #### setTimeoutReached

          public void setTimeoutReached(boolean timeoutReached)